#include "testdll.h"
#include <string>
#include <exception>

class MyException : public std::exception
{
  std::string msg;

public:
  MyException(const std::string &_msg) throw();
  ~MyException() throw();
  
  /** Returns a C-style character string describing the general cause
   *  of the current error.  */
  const char* what() const throw();
};

MyException::MyException(const std::string &_msg) throw() : msg(_msg) { }
MyException::~MyException() throw() {}
  
/** Returns a C-style character string describing the general cause
 *  of the current error.  */
const char* MyException::what() const throw() {
  return msg.c_str();
}

void throwException(const char *msg) {

  throw MyException(msg);
}
